Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.ehbox.v3.builders
Interface ConsultationMessageBuilder

All Known Implementing Classes:
  ConsultationMessageBuilderImpl

    public interface ConsultationMessageBuilder

Builder for consultation messages. Default impl : `ConsultationMessageBuilderImpl` Factory : `BuilderFactory`

Method Summary
`Message<GetFullMessageResponse>` | `buildFullMessage(GetFullMessageResponse response)`
`Message<Message>` | `buildMessage(Message response)`

Method Detail

### buildMessage

    Message<Message> buildMessage(Message response)
                                  throws TechnicalConnectorException,
                                         EhboxBusinessConnectorException

  Parameters:
    `response` -
  Returns:
    the built message
  Throws:
    `TechnicalConnectorException`
    `EhboxBusinessConnectorException`
  See Also:
    `be.ehealth.businessconnector.ehboxV2.builders.ConsultationMessageBuilder#buildMessage(be.fgov.ehealth.ehbox.consultation.protocol.v2.Message)`

### buildFullMessage

    Message<GetFullMessageResponse> buildFullMessage(GetFullMessageResponse response)
                                                     throws EhboxBusinessConnectorException,
                                                            TechnicalConnectorException

  Parameters:
    `response` -
  Returns:
    the built full message
  Throws:
    `EhboxBusinessConnectorException`
    `TechnicalConnectorException`
  See Also:
    `be.ehealth.businessconnector.ehboxV2.builders.ConsultationMessageBuilder#buildFullMessage(be.fgov.ehealth.ehbox.consultation.protocol.v2.GetFullMessageResponse)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.